Capítol 2. Arrencada del GIMP
| Part I. Primers passos |

## Capítol 2. Arrencada del GIMP

## 1. Execució del GIMP

Sovint s'inicia el GIMP fent clic en una icona (si el vostre sistema està configurat per proporcionar-ne una), o escrivint gimp en la línia d'ordres. Si teniu múltiples versions del GIMP instal·lades, potser us cal escriure gimp-2.10 per obtenir aquesta versió. Si voleu, podeu proporcionar una llista de fitxers d'imatge en la línia d'ordres després del nom del programa, i automàticament s'obriran a l'inici del GIMP. És possible obrir fitxers des de l'interior del GIMP un cop s'hagi executat.

La majoria de sistemes operatius admeten les associacions de fitxers, que associen una classe de fitxers (com els determinats per l'extensió del nom de fitxer, com ara .jpg) amb l'aplicació corresponent (per exemple, el GIMP). Quan els fitxers d'imatge estan convenientment «associats» al GIMP, podeu fer doble clic sobre una imatge per obrir-la en al GIMP.

### 1.1. Plataformes conegudes

El GIMP és el programa de manipulació d'imatges més àmpliament admès disponible avui dia. Les plataformes en les quals se sap que el GIMP funciona són:

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™, i BeOS™.

El GIMP pot ser portat fàcilment a altres sistemes operatius per la disponibilitat del seu codi font. Podeu trobar informació més detallada a la pàgina dels desenvolupadors del GIMP [GIMP-DEV].

### 1.2. Idioma

GIMP automatically detects and uses the system language. In the unlikely event that language detection fails, or if you want to use a different language, you can change the language used in: Edit → Preferences, then go to the Interface section; Language can be set at the top.

També podeu usar:

Al Linux

  Al LINUX: en el mode de consola, escriviu `LANGUAGE=en gimp` o `LANG=en gimp` reemplaçant «en» per «ca» (català), «fr», «de», … segons d'idioma que vulgueu. Explicació: en fer `LANGUAGE=ca` establiu una variable d'entorn per a l'execució del programa `gimp`.

A Windows

  Panell de control → Sistema → Avançat → Entorn en l'àrea de les «Variables del sistema»: el botó Afegiu: poseu «LANG» en el «Nom» i «ca» o «de»… en el «Valor». Advertència: cal fer clic a D'acord tres vegades seguides per validar l'elecció.

  Si canvieu d'idioma sovint, podeu crear un fitxer de processament per lots per canviar l'idioma. Obriu NotePad. Escriviu les ordres següents (l'exemple és per al català):

  `set lang=ca
  start gimp-2.10.exe`

  Deseu aquest fitxer com a `GIMP-CA.BAT` (o qualsevol altre nom, però sempre amb l'extensió `.BAT` extension). Creeu una drecera i arrossegueu-la cap al vostre escriptori.

  Una altra possibilitat: Inici → Programes → GTK Runtime Environment i Selecciona idioma i trieu l'idioma que vulgueu de la llista desplegable.

A l'Apple macOS

  Des de Preferències del sistema, feu clic a la icona Internacional. En la pestanya Idioma, l'idioma que desitgeu emprar hauria de ser el primer de la llista.

Una altra instància del GIMP

  Utilitzeu `-n` per executar múltiples instàncies del GIMP. Per exemple, useu el `gimp-2.10` per llançar el GIMP amb l'idioma per defecte del sistema, i `LANGUAGE=en gimp-2.10 -n` per iniciar una altra instància del GIMP en anglès; això és molt útil per als traductors.

### 1.3. Arguments de la línia d'ordres

Encara que els arguments no són necessaris per iniciar el GIMP, a continuació es mostren els arguments més comuns. En un sistema Unix, podeu usar `man gimp` per obtenir-ne una llista completa.

Els arguments de la línia d'ordres que s'usen per arrencar el GIMP han de ser en la forma gimp-2.10 [OPCIÓ...] [FITXER|URI...].

-?, --help

  Mostra un llistat de totes les opcions de la línia d'ordres.

--help-all

  Mostra totes les opcions d'ajuda.

--help-gtk

  Mostra les opcions del GTK+.

-v, --version

  Imprimeix la versió del GIMP i surt.

--license

  Mostra informació de la llicència i surt.

--verbose

  Mostra missatges detallats de l'inici.

-n, --new-instance

  Arrenca una nova instància del GIMP.

-a, --as-new

  Obre les imatges com a noves.

-i, --no-interface

  Executa sense interfície d'usuari.

-d, --no-data

  No carrega patrons, degradats, paletes ni pinzells. Sovint és útil quan es vol minimitzar el temps d'inici, en situacions d'ús no interactiu.

-f, --no-fonts

  No carrega cap lletra tipogràfica. És útil per carregar el GIMP més de pressa quan s'utilitzen scripts que no requereixen lletres o per trobar problemes relacionats amb lletres malmeses que fan que el GIMP es pengi.

-s, --no-splash

  No mostra la pantalla d'inici en arrencar.

--no-shm

  No s'usa memòria compartida entre el GIMP i els connectors.

--no-cpu-accel

  No s'utilitzen les funcions especials d'acceleració de la CPU. Útil per trobar o deshabilitar problemes en el maquinari o les funcions de l'acceleració.

--session=`nom`

  Utilitza un fitxer de configuració `sessionrc` alternatiu per a aquesta sessió del GIMP. El nom de sessió proporcionat s'afegeix al final del nom del fitxer `sessionrc` per defecte.

--gimprc=`nom del fitxer`

  Utilitza un `gimprc` alternatiu en lloc del predeterminat. El fitxer `gimprc` conté un registre de les vostres preferències. És útil en els casos en què els camins dels connectors o les especificacions del sistema poden variar.

--system-gimprc=`nom del fitxer`

  Utilitza un fitxer gimprc de sistema alternatiu.

-b, --batch=`ordres`

  Executa el conjunt d'ordres de forma no interactiva. Aquest conjunt es dona habitualment en forma d'un script que pot ser executat per una de les extensions de scripts del GIMP. Quan l'ordre és un `-`, les ordres es llegeixen de l'entrada estàndard.

--batch-interpreter=`procediment`

  Especifica el procediment que s'ha d'usar per processar les ordres de processament per lots. El procediment per defecte és l'Script-Fu.

--console-messages

  No apareixen caixes de diàleg informant d'errors o advertències. En canvi, s'imprimeixen missatges a la consola.

--pdb-compat-mode=`mode`

  Mode de compatibilitat de la base de dades de procediments (off|on|warn).

--stack-trace-mode=`mode`

  Depura en cas de fallada (never|query|always).

--debug-handlers

  Activa la depuració de senyals no fatals. Útil per depurar el GIMP.

--g-fatal-warnings

  Tracta tots els avisos com a fatals. Útil per depurar.

--dump-gimprc

  Genera un fitxer «gimprc» amb configuració per defecte. Útil si s'ha fet malbé el fitxer «gimprc».

--display=`pantalla`

  Utilitza la pantalla X especificada (aquesta opció és vàlida per a totes les plataformes).

--show-playground

  Show a preferences page with experimental features.

2. What's new in GIMP |  | 2. Iniciar el GIMP per primera vegada

Report a bug in GIMP Report a documentation error